GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::overlay::EdgeSetNoder Class Reference

Nodes a set of edges. More...

`#include <EdgeSetNoder.h>`

## Public Member Functions
| EdgeSetNoder (algorithm::LineIntersector *newLi)
void | addEdges (std::vector< geomgraph::Edge * > *edges)
std::vector< geomgraph::Edge * > * | getNodedEdges ()

## Detailed Description

Nodes a set of edges.

Takes one or more sets of edges and constructs a new set of edges consisting of all the split edges created by noding the input edges together

The documentation for this class was generated from the following file:

- EdgeSetNoder.h